Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
HasNewFatalFailureHelper Class Reference

`#include <gtest-test-part.h>`

Inheritance diagram for HasNewFatalFailureHelper:

## Public Member Functions
| HasNewFatalFailureHelper ()
virtual | ~HasNewFatalFailureHelper ()
virtual void | ReportTestPartResult (const TestPartResult &result)
bool | has_new_fatal_failure () const
| HasNewFatalFailureHelper ()
virtual | ~HasNewFatalFailureHelper ()
virtual void | ReportTestPartResult (const TestPartResult &result)
bool | has_new_fatal_failure () const
| HasNewFatalFailureHelper ()
virtual | ~HasNewFatalFailureHelper ()
virtual void | ReportTestPartResult (const TestPartResult &result)
bool | has_new_fatal_failure () const
Public Member Functions inherited from TestPartResultReporterInterface
virtual | ~TestPartResultReporterInterface ()
virtual | ~TestPartResultReporterInterface ()
virtual | ~TestPartResultReporterInterface ()

## Constructor & Destructor Documentation

HasNewFatalFailureHelper | ( |  | ) |

~HasNewFatalFailureHelper | ( |  | ) |
| virtual

HasNewFatalFailureHelper | ( |  | ) |

virtual ~HasNewFatalFailureHelper | ( |  | ) |
| virtual

HasNewFatalFailureHelper | ( |  | ) |

virtual ~HasNewFatalFailureHelper | ( |  | ) |
| virtual

## Member Function Documentation

bool has_new_fatal_failure | ( |  | ) | const
| inline

bool has_new_fatal_failure | ( |  | ) | const
| inline

bool has_new_fatal_failure | ( |  | ) | const
| inline

void ReportTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestPartResultReporterInterface.

virtual void ReportTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestPartResultReporterInterface.

virtual void ReportTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestPartResultReporterInterface.

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest-test-part.h
- testing/googleTest/fused-src/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest-test-part.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc